Skip to main content
GET
/
v1
/
payment_plans
Get administration payment plans
curl --request GET \
  --url https://api.paytsoftware.com/v1/payment_plans \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "payment_terms": [
        {
          "id": "<string>",
          "total_amount": "<string>",
          "amount_due": "<string>",
          "due_date": "<string>",
          "payment_date": "<string>"
        }
      ],
      "active": true,
      "auto_activated": true,
      "reason": "<string>",
      "rejected_by_user": {
        "id": "<string>",
        "name": "<string>",
        "email_address": "<string>"
      },
      "administration_id": "<string>",
      "debtor_id": "<string>",
      "id": "<string>",
      "approved_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "deactivated_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "proposed_at": "2023-11-07T05:31:56Z",
      "rejected_at": "2023-11-07T05:31:56Z",
      "public_url": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

ids
string

Filter payment plans with a comma separated list of internal ids

debtor_numbers
string

Filter payment plans with a comma separated list of debtor numbers

debtor_identifiers
string

Filter payment plans with a comma separated list of debtor identifiers from your accounting software

updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Get administration payment plans

CustomerApi_PaymentPlansPageEntity model

data
object[]
required

Payment plan

pagination
object

Pagination details

Last modified on June 12, 2026